{
  "openapi": "3.0.1",
  "info": {
    "title": "Adaptek Api",
    "version": "v1"
  },
  "paths": {
    "/v1/Advisors/{advisorId}/AlertPreferences": {
      "get": {
        "tags": [
          "AdvisorAlertPreferences"
        ],
        "summary": "Returns a list of alert preferences for an advisor",
        "parameters": [
          {
            "name": "advisorId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "The alert preferences for an advisor",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/Adaptek.Api.Application.AdvisorAlertPreferences.Queries.GetAdvisorAlertPreferencesResponse"
                  }
                }
              }
            }
          },
          "404": {
            "description": "No alert preferences found"
          }
        }
      },
      "post": {
        "tags": [
          "AdvisorAlertPreferences"
        ],
        "summary": "Creates/updates an alert preference for an advisor",
        "parameters": [
          {
            "name": "advisorId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json-patch+json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.AdvisorAlertPreferences.Commands.UpsertAlertPreferenceCommand"
              }
            },
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.AdvisorAlertPreferences.Commands.UpsertAlertPreferenceCommand"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.AdvisorAlertPreferences.Commands.UpsertAlertPreferenceCommand"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.AdvisorAlertPreferences.Commands.UpsertAlertPreferenceCommand"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Upserted alert preference successfully",
            "content": {
              "application/json": {
                "schema": {
                  "type": "string"
                }
              }
            }
          },
          "404": {
            "description": "Alert preference not found"
          },
          "400": {
            "description": "Invalid data"
          }
        }
      }
    },
    "/v1/Advisors/{advisorId}/Availabilities": {
      "get": {
        "tags": [
          "AdvisorAvailabilities"
        ],
        "summary": "Gets availabilities for an advisor",
        "parameters": [
          {
            "name": "advisorId",
            "in": "path",
            "description": "",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Returned availabilities successfully",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/Adaptek.Api.Application.AdvisorAvailabilities.Queries.GetAdvisorAvailabilityResponse"
                  }
                }
              }
            }
          },
          "403": {
            "description": "Forbidden to view advisor availabilities"
          }
        }
      },
      "post": {
        "tags": [
          "AdvisorAvailabilities"
        ],
        "summary": "Creates an availability for an advisor",
        "parameters": [
          {
            "name": "advisorId",
            "in": "path",
            "description": "",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          }
        ],
        "requestBody": {
          "description": "",
          "content": {
            "application/json-patch+json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.AdvisorAvailabilities.Commands.CreateAdvisorAvailability.CreateAdvisorAvailabilityCommand"
              }
            },
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.AdvisorAvailabilities.Commands.CreateAdvisorAvailability.CreateAdvisorAvailabilityCommand"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.AdvisorAvailabilities.Commands.CreateAdvisorAvailability.CreateAdvisorAvailabilityCommand"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.AdvisorAvailabilities.Commands.CreateAdvisorAvailability.CreateAdvisorAvailabilityCommand"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Created availability successfully",
            "content": {
              "application/json": {
                "schema": {
                  "type": "string"
                }
              }
            }
          },
          "400": {
            "description": "Invalid data"
          },
          "403": {
            "description": "Forbidden to create availability for advisor"
          }
        }
      }
    },
    "/v1/Advisors/{advisorId}/Availabilities/{availabilityId}": {
      "delete": {
        "tags": [
          "AdvisorAvailabilities"
        ],
        "summary": "Deletes availability for an advisor",
        "parameters": [
          {
            "name": "advisorId",
            "in": "path",
            "description": "",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          },
          {
            "name": "availabilityId",
            "in": "path",
            "description": "",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Deleted availability successfully"
          },
          "403": {
            "description": "Forbidden to delete availability for advisor"
          },
          "400": {
            "description": "Invalid data"
          }
        }
      }
    },
    "/v1/Advisors/{advisorId}": {
      "get": {
        "tags": [
          "Advisors"
        ],
        "summary": "Returns an advisor",
        "parameters": [
          {
            "name": "advisorId",
            "in": "path",
            "description": "",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "The details for an advisor",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Adaptek.Api.Application.Advisors.Queries.GetAdvisor.GetAdvisorResponse"
                }
              }
            }
          },
          "404": {
            "description": "The advisor was not found"
          }
        }
      },
      "put": {
        "tags": [
          "Advisors"
        ],
        "summary": "Updates an existing advisor",
        "description": "Sample Request:\r\n            \r\n    PUT /v1/Advisors/{advisorId}\r\n    {\r\n    }",
        "parameters": [
          {
            "name": "advisorId",
            "in": "path",
            "description": "",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          }
        ],
        "requestBody": {
          "description": "",
          "content": {
            "application/json-patch+json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.Advisors.Commands.UpdateAdvisor.UpdateAdvisorCommand"
              }
            },
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.Advisors.Commands.UpdateAdvisor.UpdateAdvisorCommand"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.Advisors.Commands.UpdateAdvisor.UpdateAdvisorCommand"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.Advisors.Commands.UpdateAdvisor.UpdateAdvisorCommand"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "The advisor was updated successfully"
          },
          "400": {
            "description": "The data provided was not valid"
          },
          "404": {
            "description": "The advisor was not found"
          }
        }
      }
    },
    "/v1/Advisors/{advisorId}/holdingCompany": {
      "put": {
        "tags": [
          "Advisors"
        ],
        "summary": "Assigns advisor from holding area to a holding company",
        "parameters": [
          {
            "name": "advisorId",
            "in": "path",
            "description": "",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          }
        ],
        "requestBody": {
          "description": "",
          "content": {
            "application/json-patch+json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.Advisors.Commands.AssignAdvisor.AssignAdvisorCommand"
              }
            },
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.Advisors.Commands.AssignAdvisor.AssignAdvisorCommand"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.Advisors.Commands.AssignAdvisor.AssignAdvisorCommand"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.Advisors.Commands.AssignAdvisor.AssignAdvisorCommand"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "The advisor was assigned successfully"
          },
          "400": {
            "description": "The data provided was not valid"
          },
          "404": {
            "description": "The advisor was not found"
          }
        }
      }
    },
    "/v2/Advisors/{userId}": {
      "get": {
        "tags": [
          "Advisors"
        ],
        "summary": "Returns an advisor by the portal id if there is a default user",
        "parameters": [
          {
            "name": "userId",
            "in": "path",
            "description": "",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "The details for an advisor",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Adaptek.Api.Application.Advisors.Queries.GetAdvisor.GetAdvisorResponse"
                }
              }
            }
          },
          "404": {
            "description": "The advisor was not found"
          }
        }
      }
    },
    "/v2/Advisors/portalidtodefaultadvisorid/{portalId}": {
      "get": {
        "tags": [
          "Advisors"
        ],
        "summary": "Returns an advisor id by the portal id if there is a default user",
        "parameters": [
          {
            "name": "portalId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "The details for an advisor",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Adaptek.Api.Application.Advisors.Queries.GetAdvisor.GetAdvisorResponse"
                }
              }
            }
          },
          "404": {
            "description": "The advisor was not found"
          }
        }
      }
    },
    "/v1/Advisors/authorized": {
      "get": {
        "tags": [
          "Advisors"
        ],
        "parameters": [
          {
            "name": "advisorId",
            "in": "query",
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          },
          {
            "name": "holdingCompanyId",
            "in": "query",
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "The details for an advisor",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Adaptek.Api.Application.Advisors.Queries.GetAdvisor.GetAdvisorResponse"
                }
              }
            }
          },
          "400": {
            "description": "Current user does not have a default agent"
          },
          "403": {
            "description": "User requesting the authorized advisors it forbidden"
          }
        }
      }
    },
    "/v1/Advisors/fmoadvisorsforsearch": {
      "get": {
        "tags": [
          "Advisors"
        ],
        "summary": "Returns a list of active advisors for an FMO for search list",
        "parameters": [
          {
            "name": "fmoId",
            "in": "query",
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          },
          {
            "name": "restrictToAgents",
            "in": "query",
            "schema": {
              "type": "boolean"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "A list of advisors and or users in the specified FMO",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/Adaptek.Api.Application.Advisors.Queries.GetFmoAdvisors.AdvisorSearchModel"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request"
          }
        }
      }
    },
    "/v1/Advisors/{advisorId}/Affiliations": {
      "put": {
        "tags": [
          "Advisors"
        ],
        "summary": "Grants or Revokes an Agents App Access from their affiliation to Ascentium, GA, GAB, GI, GLB or GS.\r\nIntended only for use by PHP and Home Office integration.  Used when someone affiliates\r\nwith a one of the companies passed in via the Body of the request.",
        "description": "Sample Request:\r\n\r\n    PUT /v1/advisors/1234/affiliations\r\n    {\r\n        \"ascentium\": true,\r\n        \"ga\": false,\r\n        \"gab\": false,\r\n        \"gi\": true,\r\n        \"glb\": false,\r\n        \"gs\": false\r\n    }",
        "parameters": [
          {
            "name": "advisorId",
            "in": "path",
            "description": "",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          }
        ],
        "requestBody": {
          "description": "",
          "content": {
            "application/json-patch+json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Common.Models.ApiModels.Advisors.Commands.AffiliationsModelV2"
              }
            },
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Common.Models.ApiModels.Advisors.Commands.AffiliationsModelV2"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Common.Models.ApiModels.Advisors.Commands.AffiliationsModelV2"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Common.Models.ApiModels.Advisors.Commands.AffiliationsModelV2"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successfully Updated Agent's App Access."
          },
          "404": {
            "description": "The specified Advisor was not found."
          },
          "500": {
            "description": "An unspecified error aas occured. Please contact NexTek support."
          }
        }
      }
    },
    "/v1/Advisors/holdingcompanyadvisors": {
      "get": {
        "tags": [
          "Advisors"
        ],
        "summary": "Returns a list of authorized Portal users with data for the logged-in portal user",
        "parameters": [
          {
            "name": "holdingCompanyIds",
            "in": "query",
            "schema": {
              "type": "array",
              "items": {
                "type": "integer",
                "format": "int64"
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "The list of agentids of agents in the specified holding companies",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "type": "integer",
                    "format": "int64"
                  }
                }
              }
            }
          }
        }
      }
    },
    "/v1/Advisors/fmoagentvaults/{fmoId}": {
      "get": {
        "tags": [
          "Advisors"
        ],
        "summary": "Returns a list of gradient advisors with a count of active vaults and total active vaults",
        "parameters": [
          {
            "name": "fmoId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "list of advisors with a count of active vaults and total active vaults in the given fmo",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Adaptek.Api.Application.ActOn.Queries.GetFmoAgentVaults.GetFmoAgentVaultsResponse"
                }
              }
            }
          }
        }
      }
    },
    "/Advisors/linkedAdvisor/{userId}": {
      "get": {
        "tags": [
          "Advisors"
        ],
        "summary": "Returns the advisor that is coded with this portal Id with extra information related to agent Holding company and Fmo",
        "parameters": [
          {
            "name": "userId",
            "in": "path",
            "description": "",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "The details for linked advisor",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Adaptek.Api.Application.Advisors.Queries.GetLinkedAdvisor.GetPortalLinkedAdvisorResponse"
                }
              }
            }
          },
          "404": {
            "description": "The advisor was not found"
          }
        }
      }
    },
    "/Advisors/getAdvisorWithCompanyDetail/{advisorId}": {
      "get": {
        "tags": [
          "Advisors"
        ],
        "summary": "Returns the advisor with company and fmo details",
        "parameters": [
          {
            "name": "advisorId",
            "in": "path",
            "description": "",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "the company details for advisor",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Adaptek.Api.Application.Advisors.Queries.GetAdvisor.GetAdvisorWithCompanyDetailResponse"
                }
              }
            }
          },
          "404": {
            "description": "The advisor was not found"
          }
        }
      }
    },
    "/Advisors/changePortalUserAgent": {
      "put": {
        "tags": [
          "Advisors"
        ],
        "requestBody": {
          "content": {
            "application/json-patch+json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.Advisors.Commands.UpdateUserLinkedAdvisor.UpdateUserLinkedAdvisorCommand"
              }
            },
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.Advisors.Commands.UpdateUserLinkedAdvisor.UpdateUserLinkedAdvisorCommand"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.Advisors.Commands.UpdateUserLinkedAdvisor.UpdateUserLinkedAdvisorCommand"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.Advisors.Commands.UpdateUserLinkedAdvisor.UpdateUserLinkedAdvisorCommand"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "The advisor was assigned successfully"
          },
          "400": {
            "description": "The data provided was not valid"
          },
          "404": {
            "description": "The user or advisor was not found"
          }
        }
      }
    },
    "/v1/Advisors/Invitations": {
      "get": {
        "tags": [
          "AdvisorUserInvitations"
        ],
        "summary": "Returns a list of user invitations the advisor has access to.",
        "responses": {
          "200": {
            "description": "The advisor user invitations",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/Adaptek.Api.Application.AdvisorUserInvitations.Queries.GetAdvisorUserInvitationResponse"
                  }
                }
              }
            }
          }
        }
      }
    },
    "/v1/Agencies/{agencyId}": {
      "get": {
        "tags": [
          "Agencies"
        ],
        "summary": "Returns an agency",
        "parameters": [
          {
            "name": "agencyId",
            "in": "path",
            "description": "",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "The details for an agency",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Adaptek.Api.Application.Agencies.Queries.GetAgency.GetAgencyResponse"
                }
              }
            }
          },
          "404": {
            "description": "The agency was not found"
          }
        }
      },
      "put": {
        "tags": [
          "Agencies"
        ],
        "summary": "Updates an agency",
        "parameters": [
          {
            "name": "agencyId",
            "in": "path",
            "description": "",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          }
        ],
        "requestBody": {
          "description": "",
          "content": {
            "application/json-patch+json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.Agencies.Commands.UpdateAgency.UpdateAgencyCommand"
              }
            },
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.Agencies.Commands.UpdateAgency.UpdateAgencyCommand"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.Agencies.Commands.UpdateAgency.UpdateAgencyCommand"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.Agencies.Commands.UpdateAgency.UpdateAgencyCommand"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Updated agency successfully",
            "content": {
              "application/json": {
                "schema": {
                  "type": "string"
                }
              }
            }
          },
          "404": {
            "description": "The agency was not found"
          }
        }
      }
    },
    "/v1/Agencies/{agencyId}/Advisors/{advisorId}/Images": {
      "get": {
        "tags": [
          "AgencyImages"
        ],
        "summary": "Gets a profile picture for an advisor",
        "parameters": [
          {
            "name": "agencyId",
            "in": "path",
            "description": "",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          },
          {
            "name": "advisorId",
            "in": "path",
            "description": "",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Returned profile picture successfully",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Adaptek.Api.Application.AgencyImages.Queries.GetAgencyImageResponse"
                }
              }
            }
          },
          "404": {
            "description": "Profile picture not found"
          }
        }
      },
      "post": {
        "tags": [
          "AgencyImages"
        ],
        "summary": "Creates a profile picture for an advisor",
        "parameters": [
          {
            "name": "agencyId",
            "in": "path",
            "description": "",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          },
          {
            "name": "advisorId",
            "in": "path",
            "description": "",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          }
        ],
        "requestBody": {
          "content": {
            "multipart/form-data": {
              "schema": {
                "type": "object",
                "properties": {
                  "file": {
                    "type": "string",
                    "format": "binary"
                  }
                }
              },
              "encoding": {
                "file": {
                  "style": "form"
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Profile picture created successfully",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Adaptek.Api.Application.AgencyImages.Commands.CreateAgencyImageResponseModel"
                }
              }
            }
          },
          "404": {
            "description": "Advisor not found"
          },
          "400": {
            "description": "Invalid data"
          }
        }
      }
    },
    "/v1/Agencies/{agencyId}/Images": {
      "get": {
        "tags": [
          "AgencyImages"
        ],
        "summary": "Returns logo for an agency",
        "parameters": [
          {
            "name": "agencyId",
            "in": "path",
            "description": "",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Returned agency logo successfully",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Adaptek.Api.Application.AgencyImages.Queries.GetAgencyImageResponse"
                }
              }
            }
          },
          "404": {
            "description": "Agency logo not found"
          }
        }
      }
    },
    "/v1/Applications/{applicationId}/Outputs": {
      "get": {
        "tags": [
          "ApplicationOutputs"
        ],
        "summary": "Returns the application output with paging",
        "parameters": [
          {
            "name": "applicationId",
            "in": "path",
            "description": "The ID of the application to retrieve the output for",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "pageSize",
            "in": "query",
            "description": "The number of clients returned per page.",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "pageIndex",
            "in": "query",
            "description": "The page the client list will populate. Default: 0",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "The output for a specific application",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Adaptek.Api.Application.ApplicationOutputs.Queries.GetApplicationOutput.GetApplicationOutputResponse"
                }
              }
            }
          },
          "404": {
            "description": "The application was not found"
          }
        }
      },
      "post": {
        "tags": [
          "ApplicationOutputs"
        ],
        "summary": "Creates a new Application Output record",
        "description": "Sample Request:\r\n            \r\n    POST /v1/Applications/123/\r\n    {\r\n        \"StatusTypeId\": 1,\r\n        \"Output\": \"The output from the application\"\r\n    }",
        "parameters": [
          {
            "name": "applicationId",
            "in": "path",
            "description": "The ID of the application to retrieve the output for",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          }
        ],
        "requestBody": {
          "description": "The output object to enter",
          "content": {
            "application/json-patch+json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.ApplicationOutputs.Commands.CreateApplicationOutputCommand"
              }
            },
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.ApplicationOutputs.Commands.CreateApplicationOutputCommand"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.ApplicationOutputs.Commands.CreateApplicationOutputCommand"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.ApplicationOutputs.Commands.CreateApplicationOutputCommand"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "The output was entered successfully",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Adaptek.Api.Application.ApplicationOutputs.Commands.CreateApplicationOutputResponse"
                }
              }
            }
          },
          "400": {
            "description": "The data provided was not valid",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Adaptek.Api.Common.Constants.Errors.ErrorResult"
                }
              }
            }
          }
        }
      }
    },
    "/v1/Applications/GetApplications": {
      "get": {
        "tags": [
          "Applications"
        ],
        "summary": "Returns the list of tracked applications",
        "responses": {
          "200": {
            "description": "The list of tracked applications",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Adaptek.Api.Application.Applications.Queries.GetApplications.GetApplicationsResponse"
                }
              }
            }
          }
        }
      }
    },
    "/v1/Applications/GetIdentityApplications": {
      "get": {
        "tags": [
          "Applications"
        ],
        "summary": "Returns the list of identity applications",
        "responses": {
          "200": {
            "description": "The list of identity applications",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Adaptek.Api.Application.IdentityApplications.Queries.GetIdentityApplications.GetIdentityApplicationsResponse"
                }
              }
            }
          }
        }
      }
    },
    "/v1/Applications/{applicationId}": {
      "get": {
        "tags": [
          "Applications"
        ],
        "summary": "Returns the details on the specified application",
        "parameters": [
          {
            "name": "applicationId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "The details for an application",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Adaptek.Api.Application.Applications.Queries.GetApplicationResponse"
                }
              }
            }
          },
          "404": {
            "description": "The application was not found"
          }
        }
      }
    },
    "/v1/ASBAgencyUsers": {
      "post": {
        "tags": [
          "ASBAgencyUsers"
        ],
        "summary": "Converts an ASB agency user to an agency user",
        "requestBody": {
          "description": "",
          "content": {
            "application/json-patch+json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.ASBAgencyUsers.Commands.CreateASBAgencyUser.CreateASBAgencyUserCommand"
              }
            },
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.ASBAgencyUsers.Commands.CreateASBAgencyUser.CreateASBAgencyUserCommand"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.ASBAgencyUsers.Commands.CreateASBAgencyUser.CreateASBAgencyUserCommand"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.ASBAgencyUsers.Commands.CreateASBAgencyUser.CreateASBAgencyUserCommand"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Converted ASB agency user successfully",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Adaptek.Api.Application.ASBAgencyUsers.Commands.CreateASBAgencyUser.CreateASBAgencyUserResponse"
                }
              }
            }
          },
          "400": {
            "description": "Invalid data",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Adaptek.Api.Common.Constants.Errors.ErrorResult"
                }
              }
            }
          }
        }
      }
    },
    "/v1/ASBAgencyUsers/{agencyUserId}/deactivate": {
      "patch": {
        "tags": [
          "ASBAgencyUsers"
        ],
        "summary": "Deactivates an ASB agency user",
        "operationId": "ASBAgencyUser_DeactivateASBAgencyUser",
        "parameters": [
          {
            "name": "agencyUserId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Deactivated ASB agency user successfully",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Adaptek.Api.Application.ASBAgencyUsers.Commands.ToggleASBAgencyUser.ToggleASBAgencyUserResponse"
                }
              }
            }
          }
        }
      }
    },
    "/v1/ASBAgencyUsers/{agencyUserId}/activate": {
      "patch": {
        "tags": [
          "ASBAgencyUsers"
        ],
        "operationId": "ASBAgencyUser_ReActivateASBAgencyUser",
        "parameters": [
          {
            "name": "agencyUserId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Activated ASB agency user successfully",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Adaptek.Api.Application.ASBAgencyUsers.Commands.ToggleASBAgencyUser.ToggleASBAgencyUserResponse"
                }
              }
            }
          }
        }
      }
    },
    "/v1/ASBAgencyUsers/{agencyUserId}": {
      "patch": {
        "tags": [
          "ASBAgencyUsers"
        ],
        "operationId": "ASBAgencyUser_UpdateASBAgencyUser",
        "parameters": [
          {
            "name": "agencyUserId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json-patch+json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.ASBAgencyUsers.Commands.UpdateASBAgencyUser.UpdateASBAgencyUserCommand"
              }
            },
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.ASBAgencyUsers.Commands.UpdateASBAgencyUser.UpdateASBAgencyUserCommand"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.ASBAgencyUsers.Commands.UpdateASBAgencyUser.UpdateASBAgencyUserCommand"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.ASBAgencyUsers.Commands.UpdateASBAgencyUser.UpdateASBAgencyUserCommand"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "For updating Converted ASB Users",
            "content": {
              "application/json": {
                "schema": {
                  "type": "string"
                }
              }
            }
          }
        }
      }
    },
    "/v1/Assets/byowners": {
      "get": {
        "tags": [
          "Assets"
        ],
        "summary": "Returns a list of Assets by Owners",
        "parameters": [
          {
            "name": "ownerIds",
            "in": "query",
            "description": "",
            "schema": {
              "type": "array",
              "items": {
                "type": "integer",
                "format": "int64"
              }
            }
          },
          {
            "name": "assetTypes",
            "in": "query",
            "description": "",
            "schema": {
              "type": "array",
              "items": {
                "$ref": "#/components/schemas/Adaptek.Api.Common.Constants.Assets.AssetType"
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "The list of assets by owners",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/Adaptek.Api.Application.Assets.AssetDto"
                  }
                }
              }
            }
          }
        }
      }
    },
    "/v1/Assets/casecentral/byowners": {
      "get": {
        "tags": [
          "Assets"
        ],
        "summary": "Returns a list of Assets by Owners for Case Central",
        "parameters": [
          {
            "name": "ownerIds",
            "in": "query",
            "description": "",
            "schema": {
              "type": "array",
              "items": {
                "type": "integer",
                "format": "int64"
              }
            }
          },
          {
            "name": "assetTypes",
            "in": "query",
            "description": "",
            "schema": {
              "type": "array",
              "items": {
                "$ref": "#/components/schemas/Adaptek.Api.Common.Constants.Assets.AssetType"
              }
            }
          },
          {
            "name": "casecentral",
            "in": "query",
            "description": "",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "The list of assets by owners",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/Adaptek.Api.Application.Assets.AssetDto"
                  }
                }
              }
            }
          }
        }
      }
    },
    "/v1/Fmos/{fmoId}/Branding": {
      "get": {
        "tags": [
          "Branding"
        ],
        "operationId": "Branding_GetBranding_FmoId",
        "parameters": [
          {
            "name": "fmoId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "categoryIds",
            "in": "query",
            "schema": {
              "type": "array",
              "items": {
                "type": "integer",
                "format": "int32"
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "For getting FMO specific branding for applications",
            "content": {
              "application/json": {
                "schema": {
                  "type": "string"
                }
              }
            }
          }
        }
      }
    },
    "/v1/Users/{portalId}/Branding": {
      "get": {
        "tags": [
          "Branding"
        ],
        "operationId": "Branding_GetBranding_Users",
        "parameters": [
          {
            "name": "portalId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "categoryIds",
            "in": "query",
            "schema": {
              "type": "array",
              "items": {
                "type": "integer",
                "format": "int32"
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "For getting FMO specific branding for applications",
            "content": {
              "application/json": {
                "schema": {
                  "type": "string"
                }
              }
            }
          }
        }
      }
    },
    "/v1/Agencies/{agencyId}/Branding": {
      "get": {
        "tags": [
          "Branding"
        ],
        "operationId": "Branding_GetBranding_Agencies",
        "parameters": [
          {
            "name": "agencyId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          },
          {
            "name": "categoryIds",
            "in": "query",
            "schema": {
              "type": "array",
              "items": {
                "type": "integer",
                "format": "int32"
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "For getting FMO specific branding for applications",
            "content": {
              "application/json": {
                "schema": {
                  "type": "string"
                }
              }
            }
          }
        }
      }
    },
    "/v1/Advisors/{advisorId}/Branding": {
      "get": {
        "tags": [
          "Branding"
        ],
        "operationId": "Branding_GetBranding_Advisors",
        "parameters": [
          {
            "name": "advisorId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          },
          {
            "name": "categoryIds",
            "in": "query",
            "schema": {
              "type": "array",
              "items": {
                "type": "integer",
                "format": "int32"
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "For getting FMO specific branding for applications",
            "content": {
              "application/json": {
                "schema": {
                  "type": "string"
                }
              }
            }
          }
        }
      }
    },
    "/v1/People/{personId}/Branding": {
      "get": {
        "tags": [
          "Branding"
        ],
        "operationId": "Branding_GetBranding_Person",
        "parameters": [
          {
            "name": "personId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          },
          {
            "name": "categoryIds",
            "in": "query",
            "schema": {
              "type": "array",
              "items": {
                "type": "integer",
                "format": "int32"
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "For getting FMO specific branding for applications",
            "content": {
              "application/json": {
                "schema": {
                  "type": "string"
                }
              }
            }
          }
        }
      }
    },
    "/v1/Branding/Search": {
      "get": {
        "tags": [
          "Branding"
        ],
        "operationId": "Branding_GetBranding_Advisors",
        "parameters": [
          {
            "name": "key",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "search",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "returnKey",
            "in": "query",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "For getting FMO specific branding for applications by search",
            "content": {
              "application/json": {
                "schema": {
                  "type": "string"
                }
              }
            }
          }
        }
      }
    },
    "/v1/Fmos": {
      "post": {
        "tags": [
          "Branding"
        ],
        "operationId": "Branding_SaveFmoResources",
        "requestBody": {
          "content": {
            "application/json-patch+json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.Fmos.Commands.SaveResources.SaveResourcesCommand"
              }
            },
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.Fmos.Commands.SaveResources.SaveResourcesCommand"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.Fmos.Commands.SaveResources.SaveResourcesCommand"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.Fmos.Commands.SaveResources.SaveResourcesCommand"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Resource(s) were created for the category, nothing is returned."
          },
          "400": {
            "description": "Something went wrong with saving your resources, please try again."
          }
        }
      },
      "get": {
        "tags": [
          "Fmos"
        ],
        "operationId": "FMOs_GetFmos",
        "parameters": [
          {
            "name": "getAll",
            "in": "query",
            "schema": {
              "type": "boolean",
              "default": false
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Get the list of FMOs",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Adaptek.Api.Application.Fmos.Queries.GetFmos.GetFmosResponse"
                }
              }
            }
          }
        }
      }
    },
    "/v1/Branding/TermsAndCondition/History/{fmoId}/{resourceId}/{page}/{pageSize}": {
      "get": {
        "tags": [
          "Branding"
        ],
        "operationId": "Branding_GetFmoTermsAndConditionHistory",
        "parameters": [
          {
            "name": "fmoId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "resourceId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "page",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "pageSize",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "For getting Terms and Conditions History",
            "content": {
              "application/json": {
                "schema": {
                  "type": "string"
                }
              }
            }
          }
        }
      }
    },
    "/v1/Branding/GetFmoOrDefaultPublishDate/{fmoId}": {
      "get": {
        "tags": [
          "Branding"
        ],
        "operationId": "Branding_GetFmoOrDefaultPublishDate",
        "parameters": [
          {
            "name": "fmoId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "For Getting Default or FMO Publish Date",
            "content": {
              "application/json": {
                "schema": {
                  "type": "string"
                }
              }
            }
          }
        }
      }
    },
    "/v1/Branding/GetFmoOrDefaultTermsConditions/{fmoId}": {
      "get": {
        "tags": [
          "Branding"
        ],
        "operationId": "Branding_GetFmoOrDefaultTermsConditions",
        "parameters": [
          {
            "name": "fmoId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "For Getting Default or FMO Terms and Conditions",
            "content": {
              "application/json": {
                "schema": {
                  "type": "string"
                }
              }
            }
          }
        }
      }
    },
    "/v1/Branding/SaveUserResourceHistoryAcceptance": {
      "post": {
        "tags": [
          "Branding"
        ],
        "operationId": "Branding_SaveUserResourceHistoryAcceptance",
        "requestBody": {
          "content": {
            "application/json-patch+json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.Fmos.Commands.SaveUserResourceAcceptance.SaveUserResourceAcceptanceDto"
              }
            },
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.Fmos.Commands.SaveUserResourceAcceptance.SaveUserResourceAcceptanceDto"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.Fmos.Commands.SaveUserResourceAcceptance.SaveUserResourceAcceptanceDto"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.Fmos.Commands.SaveUserResourceAcceptance.SaveUserResourceAcceptanceDto"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Save User Resourece History Acceptance",
            "content": {
              "application/json": {
                "schema": {
                  "type": "string"
                }
              }
            }
          }
        }
      }
    },
    "/v1/Branding/GetFmoResourceAcceptance/{resourceHistoryId}": {
      "get": {
        "tags": [
          "Branding"
        ],
        "operationId": "Branding_GetFmoResourceAcceptance",
        "parameters": [
          {
            "name": "resourceHistoryId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "For Getting FMO Resource Acceptance History",
            "content": {
              "application/json": {
                "schema": {
                  "type": "string"
                }
              }
            }
          }
        }
      }
    },
    "/v1/Branding/GetTermsAndConditionsById/{resourceHistoryId}": {
      "get": {
        "tags": [
          "Branding"
        ],
        "operationId": "Branding_GetTermsAndConditionsById",
        "parameters": [
          {
            "name": "resourceHistoryId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "For Getting Detailed Terms and Conditions Against Id",
            "content": {
              "application/json": {
                "schema": {
                  "type": "string"
                }
              }
            }
          }
        }
      }
    },
    "/v1/CaseCentralToKonnexMeData/consumerdetails": {
      "post": {
        "tags": [
          "CaseCentralToKonnexMeData"
        ],
        "summary": "Converts Case Central's Consumer Details into InsuranceAccounts, InvestmentAccounts, Assets, Liabilities, Incomes, PersonSocialSecurity, and PersonRetirement data.        ///",
        "requestBody": {
          "description": "The command containing data from the case central domain",
          "content": {
            "application/json-patch+json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.CaseCentralToKonnexMe.Commands.ConvertConsumerDetailsToKonnexMeDataCommand"
              }
            },
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.CaseCentralToKonnexMe.Commands.ConvertConsumerDetailsToKonnexMeDataCommand"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.CaseCentralToKonnexMe.Commands.ConvertConsumerDetailsToKonnexMeDataCommand"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.CaseCentralToKonnexMe.Commands.ConvertConsumerDetailsToKonnexMeDataCommand"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Data conversion successful",
            "content": {
              "application/json": {
                "schema": {
                  "type": "string"
                }
              }
            }
          },
          "400": {
            "description": "Invalid data"
          }
        }
      }
    },
    "/v1/Ceres/npn": {
      "get": {
        "tags": [
          "Ceres"
        ],
        "responses": {
          "200": {
            "description": "Advisor information includes NPN",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Adaptek.Api.Application.GDrive.AgentNPNModel"
                }
              }
            }
          },
          "404": {
            "description": "The user was not found"
          }
        }
      }
    },
    "/v1/ClientReviewReport/report/{reportId}": {
      "get": {
        "tags": [
          "ClientReviewReport"
        ],
        "summary": "Fetches ClientReviewReport and related tables linked to report ID",
        "parameters": [
          {
            "name": "reportId",
            "in": "path",
            "description": "the ID of the client review report",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Retrieved report successfully",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Adaptek.Api.Application.ClientReviewReport.Queries.GetClientReviewReport.GetClientReviewReportResponse"
                }
              }
            }
          },
          "404": {
            "description": "No report found"
          }
        }
      }
    },
    "/v1/ClientReviewReport/linkreporttoconsumerfile": {
      "patch": {
        "tags": [
          "ClientReviewReport"
        ],
        "summary": "Updates ClientReviewReport with ConsumerFileId",
        "requestBody": {
          "content": {
            "application/json-patch+json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.ClientReviewReport.Commands.LinkToConsumerFile.LinkToConsumerFileCommand"
              }
            },
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.ClientReviewReport.Commands.LinkToConsumerFile.LinkToConsumerFileCommand"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.ClientReviewReport.Commands.LinkToConsumerFile.LinkToConsumerFileCommand"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.ClientReviewReport.Commands.LinkToConsumerFile.LinkToConsumerFileCommand"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Linked Consumer File to Client Review Report successfully",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Adaptek.Api.Application.ClientReviewReport.Queries.GetClientReviewReport.GetClientReviewReportResponse"
                }
              }
            }
          },
          "400": {
            "description": "Bad request"
          }
        }
      }
    },
    "/v1/ClientReviewReport/getreportsbyconsumerid/{consumerId}": {
      "get": {
        "tags": [
          "ClientReviewReport"
        ],
        "summary": "Gets list of client review reports linked to consumer id",
        "parameters": [
          {
            "name": "consumerId",
            "in": "path",
            "description": "the ID of the client to fetch reports linked to",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "The list of clientreviewreport of reports linked to a consumer",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/Adaptek.Api.Application.ClientReviewReport.Queries.GetReportsByConsumerId.GetReportsByConsumerIdResponse+ReportClientReviewHistoryModel"
                  }
                }
              }
            }
          }
        }
      }
    },
    "/v1/users/{userId}/CRS": {
      "post": {
        "tags": [
          "CRS"
        ],
        "parameters": [
          {
            "name": "userId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json-patch+json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.People.Commands.AddCRSNotes.AddCRSNotesModel"
              }
            },
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.People.Commands.AddCRSNotes.AddCRSNotesModel"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.People.Commands.AddCRSNotes.AddCRSNotesModel"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.People.Commands.AddCRSNotes.AddCRSNotesModel"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successfully wrote notes for the agent and people under them with the CRS email.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Adaptek.Api.Application.People.Commands.AddCRSNotes.AddCRSNotesResponse"
                }
              }
            }
          },
          "400": {
            "description": "Invalid data was passed in."
          }
        }
      }
    },
    "/v1/Advisors/PortalAlerts/EmailClientStatusUpdate": {
      "post": {
        "tags": [
          "EmailClientStatusUpdate"
        ],
        "requestBody": {
          "content": {
            "application/json-patch+json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.EmailClientAlertStatus.Commands.UpsertEmailClientAlertCommand"
              }
            },
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.EmailClientAlertStatus.Commands.UpsertEmailClientAlertCommand"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.EmailClientAlertStatus.Commands.UpsertEmailClientAlertCommand"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.EmailClientAlertStatus.Commands.UpsertEmailClientAlertCommand"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Email client alert update",
            "content": {
              "application/json": {
                "schema": {
                  "type": "string"
                }
              }
            }
          },
          "404": {
            "description": "unable to update email client alert status"
          },
          "400": {
            "description": "invalid data"
          }
        }
      }
    },
    "/v1/ExternalFmoAgencyUsers": {
      "post": {
        "tags": [
          "ExternalFmoAgencyUsers"
        ],
        "summary": "Converts an External FMO agency user to an agency user",
        "requestBody": {
          "description": "",
          "content": {
            "application/json-patch+json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.ExternalFmoAgencyUsers.Commands.CreateExternalFmoAgencyUser.CreateExternalFmoAgencyUserCommand"
              }
            },
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.ExternalFmoAgencyUsers.Commands.CreateExternalFmoAgencyUser.CreateExternalFmoAgencyUserCommand"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.ExternalFmoAgencyUsers.Commands.CreateExternalFmoAgencyUser.CreateExternalFmoAgencyUserCommand"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.ExternalFmoAgencyUsers.Commands.CreateExternalFmoAgencyUser.CreateExternalFmoAgencyUserCommand"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Converted External FMO agency user successfully",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Adaptek.Api.Application.ExternalFmoAgencyUsers.Commands.CreateExternalFmoAgencyUser.CreateExternalFmoAgencyUserResponse"
                }
              }
            }
          },
          "400": {
            "description": "Invalid data",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Adaptek.Api.Common.Constants.Errors.ErrorResult"
                }
              }
            }
          }
        }
      }
    },
    "/v1/ExternalFmoAgencyUsers/{agencyUserId}/deactivate": {
      "patch": {
        "tags": [
          "ExternalFmoAgencyUsers"
        ],
        "summary": "Deactivates an External FMO agency user",
        "operationId": "ExternalFmoAgencyUser_DeactivateExternalFmoAgencyUser",
        "parameters": [
          {
            "name": "agencyUserId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Deactivated External FMO agency user successfully",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Adaptek.Api.Application.ExternalFmoAgencyUsers.Commands.ToggleExternalFmoAgencyUser.ToggleExternalFmoAgencyUserResponse"
                }
              }
            }
          }
        }
      }
    },
    "/v1/ExternalFmoAgencyUsers/{agencyUserId}/activate": {
      "patch": {
        "tags": [
          "ExternalFmoAgencyUsers"
        ],
        "summary": "Activates an External FMO agency user",
        "operationId": "ExternalFmoAgencyUser_ReActivateExternalFmoAgencyUser",
        "parameters": [
          {
            "name": "agencyUserId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Activated External FMO agency user successfully",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Adaptek.Api.Application.ExternalFmoAgencyUsers.Commands.ToggleExternalFmoAgencyUser.ToggleExternalFmoAgencyUserResponse"
                }
              }
            }
          }
        }
      }
    },
    "/v1/ExternalFmoAgencyUsers/{agencyUserId}": {
      "patch": {
        "tags": [
          "ExternalFmoAgencyUsers"
        ],
        "summary": "Updates an External FMO agency user",
        "operationId": "ExternalFmoAgencyUser_UpdateExternalFmoAgencyUser",
        "parameters": [
          {
            "name": "agencyUserId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json-patch+json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.ExternalFmoAgencyUsers.Commands.UpdateExternalFmoAgencyUser.UpdateExternalFmoAgencyUserCommand"
              }
            },
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.ExternalFmoAgencyUsers.Commands.UpdateExternalFmoAgencyUser.UpdateExternalFmoAgencyUserCommand"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.ExternalFmoAgencyUsers.Commands.UpdateExternalFmoAgencyUser.UpdateExternalFmoAgencyUserCommand"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.ExternalFmoAgencyUsers.Commands.UpdateExternalFmoAgencyUser.UpdateExternalFmoAgencyUserCommand"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "For updating Converted External FMO Users",
            "content": {
              "application/json": {
                "schema": {
                  "type": "string"
                }
              }
            }
          }
        }
      }
    },
    "/v1/Files/all/consumer/{consumerId}/{agentId}": {
      "get": {
        "tags": [
          "Files"
        ],
        "parameters": [
          {
            "name": "consumerId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          },
          {
            "name": "agentId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Files retrieval successful",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Adaptek.Api.Application.Files.ConsumerFiles.Queries.GetConsumerFilesResponse"
                }
              }
            }
          },
          "400": {
            "description": "Invalid data"
          }
        }
      }
    },
    "/v1/Files/upload/consumer": {
      "post": {
        "tags": [
          "Files"
        ],
        "requestBody": {
          "content": {
            "application/json-patch+json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.Files.ConsumerFiles.Commands.UploadConsumerFileCommand"
              }
            },
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.Files.ConsumerFiles.Commands.UploadConsumerFileCommand"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.Files.ConsumerFiles.Commands.UploadConsumerFileCommand"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.Files.ConsumerFiles.Commands.UploadConsumerFileCommand"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "File upload successful",
            "content": {
              "application/json": {
                "schema": {
                  "type": "boolean"
                }
              }
            }
          },
          "400": {
            "description": "Invalid data"
          }
        }
      }
    },
    "/v1/Files/copy/consumer/vault/file": {
      "post": {
        "tags": [
          "Files"
        ],
        "requestBody": {
          "content": {
            "application/json-patch+json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.Files.ConsumerFiles.Commands.CopyVaultConsumerFile.CopyVaultConsumerFileCommand"
              }
            },
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.Files.ConsumerFiles.Commands.CopyVaultConsumerFile.CopyVaultConsumerFileCommand"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.Files.ConsumerFiles.Commands.CopyVaultConsumerFile.CopyVaultConsumerFileCommand"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.Files.ConsumerFiles.Commands.CopyVaultConsumerFile.CopyVaultConsumerFileCommand"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Copy file successfull",
            "content": {
              "application/json": {
                "schema": {
                  "type": "boolean"
                }
              }
            }
          },
          "400": {
            "description": "Invalid data"
          }
        }
      }
    },
    "/v1/Files/copy/consumer/file": {
      "post": {
        "tags": [
          "Files"
        ],
        "requestBody": {
          "content": {
            "application/json-patch+json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.Files.ConsumerFiles.Commands.CopyConsumerFile.CopyConsumerFileCommand"
              }
            },
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.Files.ConsumerFiles.Commands.CopyConsumerFile.CopyConsumerFileCommand"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.Files.ConsumerFiles.Commands.CopyConsumerFile.CopyConsumerFileCommand"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.Files.ConsumerFiles.Commands.CopyConsumerFile.CopyConsumerFileCommand"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Copy file successfull",
            "content": {
              "application/json": {
                "schema": {
                  "type": "boolean"
                }
              }
            }
          },
          "400": {
            "description": "Invalid data"
          }
        }
      }
    },
    "/v1/Files/update/consumer/file": {
      "post": {
        "tags": [
          "Files"
        ],
        "requestBody": {
          "content": {
            "application/json-patch+json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.Files.ConsumerFiles.Commands.UpdateConsumerFile.UpdateConsumerFileCommand"
              }
            },
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.Files.ConsumerFiles.Commands.UpdateConsumerFile.UpdateConsumerFileCommand"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.Files.ConsumerFiles.Commands.UpdateConsumerFile.UpdateConsumerFileCommand"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.Files.ConsumerFiles.Commands.UpdateConsumerFile.UpdateConsumerFileCommand"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Update file successfull",
            "content": {
              "application/json": {
                "schema": {
                  "type": "boolean"
                }
              }
            }
          },
          "400": {
            "description": "Invalid data"
          }
        }
      }
    },
    "/v1/Files/GetLink/{userId}": {
      "get": {
        "tags": [
          "Files"
        ],
        "parameters": [
          {
            "name": "userId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          },
          {
            "name": "fileId",
            "in": "query",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "folderType",
            "in": "query",
            "schema": {
              "$ref": "#/components/schemas/Adaptek.Api.Application.Folders.FolderType"
            }
          },
          {
            "name": "hours",
            "in": "query",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "URL created successfully",
            "content": {
              "application/json": {
                "schema": {
                  "type": "string"
                }
              }
            }
          },
          "400": {
            "description": "Invalid data"
          }
        }
      }
    },
    "/v1/FireLight/Vendors": {
      "get": {
        "tags": [
          "FireLight"
        ],
        "responses": {
          "200": {
            "description": "A list of all FireLight Vendors",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/Adaptek.Api.Application.FireLight.Queries.GetFireLightVendors.VendorFirelightDto"
                  }
                }
              }
            }
          }
        }
      }
    },
    "/v1/FireLight/Vendors/{vendorId}/Products": {
      "get": {
        "tags": [
          "FireLight"
        ],
        "parameters": [
          {
            "name": "vendorId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "A list of FireLight products by Vendor Id",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/Adaptek.Api.Application.FireLight.Queries.GetFireLightProductsByVendorId.ProductFirelightDto"
                  }
                }
              }
            }
          }
        }
      }
    },
    "/v1/FireLight/identifier/{advisorId}": {
      "get": {
        "tags": [
          "FireLight"
        ],
        "summary": "Returns an advisor's FirelightIdentifier",
        "parameters": [
          {
            "name": "advisorId",
            "in": "path",
            "description": "",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "The Firelight Identifier",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Adaptek.Api.Application.FireLight.Queries.GetFireLightIdentifier.GetFireLightIdentifierResponse"
                }
              }
            }
          },
          "404": {
            "description": "The identifier was not found"
          }
        }
      }
    },
    "/v1/FireLight/fmoConfiguration/{fmoId}": {
      "get": {
        "tags": [
          "FireLight"
        ],
        "summary": "Return the configuration values for the FMO",
        "parameters": [
          {
            "name": "fmoId",
            "in": "path",
            "description": "Id of the FMO",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "The Firelight FMO Configuration",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Adaptek.Api.Application.FireLight.Queries.GetFireLightFmoConfiguration.FirelightFmoConfigurationDto"
                }
              }
            }
          },
          "404": {
            "description": "The configuration was not found"
          }
        }
      }
    },
    "/v1/Fmos/GetFmoDetailsByUserId": {
      "get": {
        "tags": [
          "Fmos"
        ],
        "operationId": "FMOs_GetFMODetails",
        "parameters": [
          {
            "name": "userId",
            "in": "query",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Get FMO Details",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Adaptek.Api.Application.Fmos.Queries.GetFmos.GetFmoDetailResponse"
                }
              }
            }
          }
        }
      }
    },
    "/v1/Folders/linked/{consumerId}": {
      "get": {
        "tags": [
          "Folders"
        ],
        "parameters": [
          {
            "name": "consumerId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Folder retrieval successful",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Adaptek.Api.Application.Folders.GenericFolder"
                }
              }
            }
          },
          "400": {
            "description": "Invalid data"
          }
        }
      }
    },
    "/v1/Folders/activity/{consumerId}": {
      "get": {
        "tags": [
          "Folders"
        ],
        "parameters": [
          {
            "name": "consumerId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Folder retrieval successful",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Adaptek.Api.Application.Folders.Queries.GetActivityFolders.GetActivityFolderResponse"
                }
              }
            }
          },
          "400": {
            "description": "Invalid data"
          }
        }
      }
    },
    "/v1/Folders/group/{consumerId}": {
      "get": {
        "tags": [
          "Folders"
        ],
        "parameters": [
          {
            "name": "consumerId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Folder retrieval successful",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Adaptek.Api.Application.Folders.Queries.GetGroupFolders.GetGroupFolderResponse"
                }
              }
            }
          },
          "400": {
            "description": "Invalid data"
          }
        }
      }
    },
    "/v1/Folders/insurance/{consumerId}": {
      "get": {
        "tags": [
          "Folders"
        ],
        "parameters": [
          {
            "name": "consumerId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Folder retrieval successful",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Adaptek.Api.Application.Folders.Queries.GetInsuranceFolders.GetInsuranceFolderResponse"
                }
              }
            }
          },
          "400": {
            "description": "Invalid data"
          }
        }
      }
    },
    "/v1/Folders/investment/{consumerId}": {
      "get": {
        "tags": [
          "Folders"
        ],
        "parameters": [
          {
            "name": "consumerId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Folder retrieval successful",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Adaptek.Api.Application.Folders.Queries.GetInvestmentFolders.GetInvestmentFolderResponse"
                }
              }
            }
          },
          "400": {
            "description": "Invalid data"
          }
        }
      }
    },
    "/v1/Folders/mortgage/{consumerId}": {
      "get": {
        "tags": [
          "Folders"
        ],
        "parameters": [
          {
            "name": "consumerId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Folder retrieval successful",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Adaptek.Api.Application.Folders.Queries.GetMortgageFolders.GetMortgageFolderResponse"
                }
              }
            }
          },
          "400": {
            "description": "Invalid data"
          }
        }
      }
    },
    "/v1/Folders/tax/{consumerId}": {
      "get": {
        "tags": [
          "Folders"
        ],
        "parameters": [
          {
            "name": "consumerId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Folder retrieval successful",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Adaptek.Api.Application.Folders.Queries.GetTaxFolders.GetTaxFolderResponse"
                }
              }
            }
          },
          "400": {
            "description": "Invalid data"
          }
        }
      }
    },
    "/v1/Folders/consumer": {
      "post": {
        "tags": [
          "Folders"
        ],
        "requestBody": {
          "content": {
            "application/json-patch+json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.Folders.Commands.ConsumerFolder.CreateConsumerFolderCommand"
              }
            },
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.Folders.Commands.ConsumerFolder.CreateConsumerFolderCommand"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.Folders.Commands.ConsumerFolder.CreateConsumerFolderCommand"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.Folders.Commands.ConsumerFolder.CreateConsumerFolderCommand"
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "Folder created successfully",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Adaptek.Api.Application.Folders.CreateFolderResponse"
                }
              }
            }
          },
          "400": {
            "description": "Invalid data"
          }
        }
      }
    },
    "/v1/Folders/setupFolders": {
      "post": {
        "tags": [
          "Folders"
        ],
        "requestBody": {
          "content": {
            "application/json-patch+json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.Folders.Commands.SetupDefaultFolderTreeCommand"
              }
            },
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.Folders.Commands.SetupDefaultFolderTreeCommand"
              }
            },
            "text/json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.Folders.Commands.SetupDefaultFolderTreeCommand"
              }
            },
            "application/*+json": {
              "schema": {
                "$ref": "#/components/schemas/Adaptek.Api.Application.Folders.Commands.SetupDefaultFolderTreeCommand"
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "Folders created successfully",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Adaptek.Api.Application.Folders.CreateFolderResponse"
                }
              }
            }
          },
          "400": {
            "description": "Invalid data"
          }
        }
      }
    },
    "/v1/GDrive/parentcompanies": {
      "get": {
        "tags": [
          "GDrive"
        ],
        "summary": "Returns the list of parent companies from GDrive",
        "responses": {
          "200": {
            "description": "The details for an advisor",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": {
                    "type": "string"
                  }
                }
              }
            }
          },
          "404": {
            "description": "The advisor was not found"
          }
        }
      }
    },
    "/v1/GDrive/parentCompanies/{parentCompanyId}/companies": {
      "get": {
        "tags": [
          "GDrive"
        ],
        "summary": "Returns the list of companies under a parent company from GDrive",
        "parameters": [
          {
            "name": "parentCompanyId",
            "in": "path",
            "description": "",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "The details for an advisor",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": {
                    "type": "string"
                  }
                }
              }
            }
          },
          "404": {
            "description": "The advisor was not found"
          }
        }
      }
    },
    "/v1/GDrive/companies/{companyId}/teams": {
      "get": {
        "tags": [
          "GDrive"
        ],
        "summary": "Returns the list of teams tied to a company from GDrive",
        "parameters": [
          {
            "name": "companyId",
            "in": "path",
            "description": "",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "The details for an advisor",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": {
                    "type": "string"
                  }
                }
              }
            }
          },
          "404": {
            "description": "The advisor was not found"
          }
        }
      }
    },
    "/v1/GDrive/parentCompanies/{parentCompanyId}/agents": {
      "get": {
        "tags": [
          "GDrive"
        ],
        "summary": "Returns the list of agents tied to a company from GDrive",
        "parameters": [
          {
            "name": "parentCompanyId",
            "in": "path",
            "description": "",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "The details for an advisor",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": {
                    "type": "string"
                  }
                }
              }
            }
          },
          "404": {
            "description": "The advisor was not found"
          }
        }
      }
    },
    "/v1/GDrive/companies/{companyId}/agents": {
      "get": {
        "tags": [
          "GDrive"
        ],
        "summary": "Returns the list of agents tied to a company from GDrive",
        "parameters": [
          {
            "name": "companyId",
            "in": "path",
            "description": "",
            "required": true,
[...]
